#include "std.mi"

Function setTempText(String txt);
Function emptyTempText();

Global Text infoline;
Global Slider cfdg, cfd;
Global Group sgrp;
Global String suffix;

System.onScriptLoaded() {
    sgrp = getScriptGroup();

	cfdg = sgrp.findObject("crossfadeghost");
    cfd = sgrp.findObject("crossfade");

	infoline = sgrp.findObject("songticker");
}

cfdg.onSetPosition(int f) {
    cfd.setPosition(f);
    if(f > 1) suffix = " seconds"; else suffix = " second";
    setTempText("Crossfade: " + System.integerToString(f) + suffix);
}

cfdg.onSetFinalPosition(int p) {
    cfd.setPosition(p);
    infoline.setAlternateText("");
}

setTempText(String txt) {
	infoline.setAlternateText(txt);
}

emptyTempText() {
	infoline.setAlternateText("");
}

