#include "std.mi"

Function setTempText(String txt);
Function emptyTempText();

Global Text infoline;
Global Group sgrp;
Global String suffix, sign;
Global Int i, dbs;
Global Slider eqb1, eqb2, eqb3, eqb4, eqb5, eqb6, eqb7, eqb8, eqb9, eqb10;

Class GuiObject HintObject;

Global HintObject close, controlmenu, on, auto, presets;

System.onScriptLoaded() {
    sgrp = getScriptGroup();

	infoline = sgrp.findObject("infoline");
	close = sgrp.findObject("close");
	controlmenu = sgrp.findObject("controlmenu");
	on = sgrp.findObject("toggle");
	auto = sgrp.findObject("auto");
	presets = sgrp.findObject("presets");

	eqb1 = sgrp.findObject("eq1");
	eqb2 = sgrp.findObject("eq2");
	eqb3 = sgrp.findObject("eq3");
	eqb4 = sgrp.findObject("eq4");
	eqb5 = sgrp.findObject("eq5");
	eqb6 = sgrp.findObject("eq6");
	eqb7 = sgrp.findObject("eq7");
	eqb8 = sgrp.findObject("eq8");
	eqb9 = sgrp.findObject("eq9");
	eqb10 = sgrp.findObject("eq10");
}

eqb1.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 60 hz: " + sign + System.integerToString(dbs) + " dB");
}

eqb2.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 170 Khz: " + sign + System.integerToString(dbs) + " dB");
}

eqb3.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 310 Khz: " + sign + System.integerToString(dbs) + " dB");
}

eqb4.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 600 hz: " + sign + System.integerToString(dbs) + " dB");
}

eqb5.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 1 Khz: " + sign + System.integerToString(dbs) + " dB");
}

eqb6.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 3 Khz: " + sign + System.integerToString(dbs) + " dB");
}

eqb7.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 6 Khz: " + sign + System.integerToString(dbs) + " dB");
}

eqb8.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 12 Khz: " + sign + System.integerToString(dbs) + " dB");
}

eqb9.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 14 Khz: " + sign + System.integerToString(dbs) + " dB");
}

eqb10.onSetPosition(int f) {
    if(f > 127){
        sign = "+";
        dbs = (f-127)/127*12;
    } else {
        sign = "-";
        dbs = ((f-127)*-1)/127*12;
    }
    if(dbs == 0) {
        sign = "";
    }
    setTempText("EQ: 16 Khz: " + sign + System.integerToString(dbs) + " dB");
}

eqb1.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb2.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb3.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb3.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb4.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb5.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb6.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb7.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb8.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb9.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

eqb10.onSetFinalPosition(int p) {
    infoline.setAlternateText("");
}

HintObject.onLeftButtonDown(int x, int y) {
	if (HintObject == on) setTempText("Equalizer ON/OFF");
	else if (HintObject == close) setTempText("Close Equalizer");
	else if (HintObject == controlmenu) setTempText("Control Menu");
	else if (HintObject == auto) setTempText("Automatic Processing");
	else if (HintObject == presets) setTempText("Presets menu");
}

HintObject.onLeftButtonUp(int x, int y) {
	emptyTempText();
}

setTempText(String txt) {
	infoline.setAlternateText(txt);
}

emptyTempText() {
	infoline.setAlternateText("");
}

/*System.onEqBandChanged(int band, int newvalue) {
    if(newvalue > 0){
        sign = "+";
        dbs = newvalue/127*12;
    } else {
        sign = "-";
        dbs = (newvalue*-1)/127*12;
    }
    setTempText("EQ: " + System.getToken(eqbands, ",", band) + ": " + sign + System.integerToString(dbs) + " dB");
}*/

System.onEqPreampChanged(int newvalue) {
    if(newvalue > 0){
        sign = "+";
        dbs = newvalue/127*12;
    } else {
        sign = "-";
        dbs = (newvalue*-1)/127*12;
    }
    setTempText("Equalizer Preamp: " + sign + System.integerToString(dbs) + " dB");
}



