#include "std.mi"
#include "pldir.mi"

Function setTempText(String txt);
Function emptyTempText();

Global Text Songticker;
Global Slider Volbar, Seeker, balance;
Global Int Seeking;
Global Group sgrp, grp1, grp2;

Class GuiObject HintObject;

Global HintObject Play, Stop, Previous, Next, Pause, Thinger, Open, Eq, Ml, Pl, cf, shuffle, repeat, minimize, winshadeh, exit, robobrowser, winshadev;

System.onScriptLoaded() {
    sgrp = getScriptGroup();
	grp1 = sgrp.findObject("player.normal");
	grp2 = sgrp.findObject("player.main.sliders");

	Songticker = grp1.getObject("songticker");
	Volbar = grp2.getObject("volumeghost");
	balance = grp2.getObject("balanceghost");
	Seeker = grp2.getObject("seekerghost");

	Play = grp1.getObject("Play");
	Pause = grp1.getObject("Pause");
	Stop = grp1.getObject("Stop");
	Next = grp1.getObject("Next");
	Previous = grp1.getObject("Previous");
	Thinger = grp1.getObject("Thinger");
	Open = grp1.getObject("Eject");
	Eq = grp1.getObject("eq");
	Ml = grp1.getObject("ml");
	Pl = grp1.getObject("pl");
	minimize = grp1.getObject("minimize");
	winshadeh = grp1.getObject("switchh");
	winshadev = grp1.getObject("switchv");
	cf = grp1.getObject("crossfade");
	shuffle = grp1.getObject("shuffle");
	repeat = grp1.getObject("repeat");
	robobrowser = grp1.getObject("logo");
	exit = grp1.getObject("close");
}

Songticker.onLeftButtonDblClk(int x, int y) {
	PlDir.showCurrentlyPlayingEntry();
}

Volbar.onSetPosition(int f) {
	f = f / 255 * 100;
	setTempText("Volume: " + System.integerToString(f) + "%");
}

Volbar.onSetFinalPosition(int p) {
	Songticker.setAlternateText("");
}

balance.onSetPosition(int f) {
    f = f-1;
    if(f < 127) {
        f = ((f-127)*-1)/127*100;
        if(f == 100) {
        	setTempText("Balance: LEFT");
        } else if(f == 0){
        	setTempText("Balance: CENTER");
        } else {
        	setTempText("Balance: " + System.integerToString(f) + "% LEFT");
        }
    } else if(f > 127) {
        f = (f-127)/127*100;
        if(f == 100) {
        	setTempText("Balance: RIGHT");
        } else {
        	setTempText("Balance: " + System.integerToString(f) + "% RIGHT");
        }
    } else {
     	setTempText("Balance: CENTER");
    }
}

balance.onSetFinalPosition(int p) {
	Songticker.setAlternateText("");
}

Seeker.onSetPosition(int p) {
	if (seeking) {
		Float f;
		f = p;
		f = f / 255 * 100;
		Float len = getPlayItemLength();
		if (len != 0) {
			int np = len * f / 100;
			setTempText("Seek to " + integerToTime(np) + " / " + integerToTime(len) + " (" + integerToString(f) + "%)");
    		}
	}
}

Seeker.onLeftButtonDown(int x, int y) {
	seeking = 1;
}

Seeker.onLeftButtonUp(int x, int y) {
	seeking = 0;
	setTempText("");
}

Seeker.onSetFinalPosition(int p) {
	Songticker.setAlternateText("");
}

HintObject.onLeftButtonDown(int x, int y) {
	if (HintObject == Play) setTempText("Play");
	else if (HintObject == Stop) setTempText("Stop");
	else if (HintObject == Pause) setTempText("Pause");
	else if (HintObject == Next) setTempText("Next");
	else if (HintObject == Previous) setTempText("Previous");
	else if (HintObject == Thinger) setTempText("Thinger");
	else if (HintObject == Open) setTempText("Open");
	else if (HintObject == Eq) setTempText("Equalizer");
	else if (HintObject == ML) setTempText("Media Library");
	else if (HintObject == Pl) setTempText("Playlist Editor");
	else if (HintObject == minimize) setTempText("Minimize Winamp");
	else if (HintObject == winshadeh) setTempText("Horizontal mode");
	else if (HintObject == winshadev) setTempText("Vertical mode");
	else if (HintObject == cf) setTempText("Crossfade");
	else if (HintObject == shuffle) setTempText("Shuffle");
	else if (HintObject == repeat) setTempText("Repeat");
	else if (HintObject == exit) setTempText("Exit Winamp");
	else if (HintObject == robobrowser) setTempText("ROBO Browser");
}

HintObject.onLeftButtonUp(int x, int y) {
	emptyTempText();
}

setTempText(String txt) {
	Songticker.setAlternateText(txt);
}

emptyTempText() {
	Songticker.setAlternateText("");
}